Index: protocols/skype/skype.c
===================================================================
--- protocols/skype/skype.c	(revision fdc6d84a32e87c3486ac99b7aee282153d65b23e)
+++ protocols/skype/skype.c	(revision 2b0c05c056eae4c9aa19584f8cbbac1be7337207)
@@ -323,4 +323,22 @@
 }
 
+static struct groupchat *skype_chat_get_or_create(struct im_connection *ic, char *id)
+{
+	struct skype_data *sd = ic->proto_data;
+	struct groupchat *gc = bee_chat_by_title(ic->bee, ic, id);
+
+	if (!gc) {
+		gc = imcb_chat_new(ic, id);
+		imcb_chat_name_hint(gc, id);
+		imcb_chat_add_buddy(gc, sd->username);
+
+		skype_printf(ic, "GET CHAT %s ADDER\n", id);
+		skype_printf(ic, "GET CHAT %s TOPIC\n", id);
+		skype_printf(ic, "GET CHAT %s ACTIVEMEMBERS\n", id);
+	}
+
+	return gc;
+}
+
 static void skype_parse_users(struct im_connection *ic, char *line)
 {
@@ -687,5 +705,5 @@
 		info += 9;
 		if (sd->handle && sd->body && sd->type) {
-			struct groupchat *gc = bee_chat_by_title(ic->bee, ic, info);
+			struct groupchat *gc = skype_chat_get_or_create(ic, info);
 			int i;
 			for (i = 0; i < g_list_length(sd->body); i++) {
@@ -1025,14 +1043,7 @@
 	}
 	if (!strcmp(info, "STATUS MULTI_SUBSCRIBED")) {
-		gc = bee_chat_by_title(ic->bee, ic, id);
-		if (!gc) {
-			gc = imcb_chat_new(ic, id);
-			imcb_chat_name_hint(gc, id);
-		}
-		skype_printf(ic, "GET CHAT %s ADDER\n", id);
-		skype_printf(ic, "GET CHAT %s TOPIC\n", id);
+		skype_chat_get_or_create(ic, id);
 	} else if (!strcmp(info, "STATUS DIALOG") && sd->groupchat_with) {
-		gc = imcb_chat_new(ic, id);
-		imcb_chat_name_hint(gc, id);
+		gc = skype_chat_get_or_create(ic, id);
 		/* According to the docs this
 		 * is necessary. However it
@@ -1045,9 +1056,6 @@
 		           sd->groupchat_with);
 		imcb_chat_add_buddy(gc, buf);
-		imcb_chat_add_buddy(gc, sd->username);
 		g_free(sd->groupchat_with);
 		sd->groupchat_with = NULL;
-		skype_printf(ic, "GET CHAT %s ADDER\n", id);
-		skype_printf(ic, "GET CHAT %s TOPIC\n", id);
 	} else if (!strcmp(info, "STATUS UNSUBSCRIBED")) {
 		gc = bee_chat_by_title(ic->bee, ic, id);
Index: protocols/skype/t/groupchat-invite-bitlbee.mock
===================================================================
--- protocols/skype/t/groupchat-invite-bitlbee.mock	(revision fdc6d84a32e87c3486ac99b7aee282153d65b23e)
+++ protocols/skype/t/groupchat-invite-bitlbee.mock	(revision 2b0c05c056eae4c9aa19584f8cbbac1be7337207)
@@ -7,5 +7,5 @@
 >> :bob!bob@skype.com JOIN :&bitlbee
 << PRIVMSG &bitlbee :chat with bob
->> 353 alice = ##alice/$bob;a7ab206ec78 :@alice bob @root
+>> 353 alice = ##alice/$bob;a7ab206ec78 :@alice @root
 << INVITE cecil ##alice/$bob;a7ab206ec78
 >> cecil@skype.com JOIN :##alice/$bob;a7ab206ec78
Index: protocols/skype/t/groupchat-invite-skyped.mock
===================================================================
--- protocols/skype/t/groupchat-invite-skyped.mock	(revision fdc6d84a32e87c3486ac99b7aee282153d65b23e)
+++ protocols/skype/t/groupchat-invite-skyped.mock	(revision 2b0c05c056eae4c9aa19584f8cbbac1be7337207)
@@ -26,4 +26,6 @@
 >> GET CHAT #alice/$bob;a7ab206ec78060f1 TOPIC
 << CHAT #alice/$bob;a7ab206ec78060f1 TOPIC 
+>> GET CHAT #alice/$bob;a7ab206ec78060f1 ACTIVEMEMBERS
+<< CHAT #alice/$bob;a7ab206ec78060f1 ACTIVEMEMBERS
 << CHATMESSAGE 206 STATUS SENDING
 << CHAT #alice/$bob;a7ab206ec78060f1 STATUS DIALOG
Index: protocols/skype/t/groupchat-invited-bitlbee.mock
===================================================================
--- protocols/skype/t/groupchat-invited-bitlbee.mock	(revision fdc6d84a32e87c3486ac99b7aee282153d65b23e)
+++ protocols/skype/t/groupchat-invited-bitlbee.mock	(revision 2b0c05c056eae4c9aa19584f8cbbac1be7337207)
@@ -6,3 +6,3 @@
 << PRIVMSG &bitlbee :account skype on
 >> JOIN :##cecil/$bob;4d8cc996579
->> 353 alice = ##cecil/$bob;4d8cc996579 :@alice bob cecil @root
+>> 353 alice = ##cecil/$bob;4d8cc996579 :@alice @root
Index: protocols/skype/t/groupchat-leave-bitlbee.mock
===================================================================
--- protocols/skype/t/groupchat-leave-bitlbee.mock	(revision fdc6d84a32e87c3486ac99b7aee282153d65b23e)
+++ protocols/skype/t/groupchat-leave-bitlbee.mock	(revision 2b0c05c056eae4c9aa19584f8cbbac1be7337207)
@@ -7,5 +7,5 @@
 << PRIVMSG &bitlbee :account skype on
 >> JOIN :##cecil/$bob;4d8cc996579
->> 353 alice = ##cecil/$bob;4d8cc996579 :@alice bob cecil @root
+>> 353 alice = ##cecil/$bob;4d8cc996579 :@alice @root
 << PART ##cecil/$bob;4d8cc996579
 >> PRIVMSG &bitlbee :alice: CHAT #cecil/$bob;4d8cc9965791c6b9 STATUS UNSUBSCRIBED
Index: protocols/skype/t/groupchat-leave-skyped.mock
===================================================================
--- protocols/skype/t/groupchat-leave-skyped.mock	(revision fdc6d84a32e87c3486ac99b7aee282153d65b23e)
+++ protocols/skype/t/groupchat-leave-skyped.mock	(revision 2b0c05c056eae4c9aa19584f8cbbac1be7337207)
@@ -36,12 +36,6 @@
 >> GET CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC
 << CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC 
->> GET CHAT #cecil/$bob;4d8cc9965791c6b9 ADDER
-<< CHAT #cecil/$bob;4d8cc9965791c6b9 ADDER bob
->> GET CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC
-<< CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC 
->> GET CHAT #cecil/$bob;4d8cc9965791c6b9 ADDER
-<< CHAT #cecil/$bob;4d8cc9965791c6b9 ADDER bob
->> GET CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC
-<< CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC 
+>> GET CHAT #cecil/$bob;4d8cc9965791c6b9 ACTIVEMEMBERS
+<< CHAT #cecil/$bob;4d8cc9965791c6b9 ACTIVEMEMBERS
 >> GET CHATMESSAGE 188 FROM_HANDLE
 << CHATMESSAGE 188 FROM_HANDLE bob
Index: protocols/skype/t/groupchat-msg-bitlbee.mock
===================================================================
--- protocols/skype/t/groupchat-msg-bitlbee.mock	(revision fdc6d84a32e87c3486ac99b7aee282153d65b23e)
+++ protocols/skype/t/groupchat-msg-bitlbee.mock	(revision 2b0c05c056eae4c9aa19584f8cbbac1be7337207)
@@ -7,5 +7,5 @@
 << PRIVMSG &bitlbee :account skype on
 >> JOIN :##cecil/$bob;4d8cc996579
->> 353 alice = ##cecil/$bob;4d8cc996579 :@alice bob cecil @root
+>> 353 alice = ##cecil/$bob;4d8cc996579 :@alice @root
 << PRIVMSG ##cecil/$bob;4d8cc996579 :hello
 >> PRIVMSG &bitlbee :alice: CHAT #cecil/$bob;4d8cc9965791c6b9 ACTIVITY_TIMESTAMP
Index: protocols/skype/t/groupchat-msg-skyped.mock
===================================================================
--- protocols/skype/t/groupchat-msg-skyped.mock	(revision fdc6d84a32e87c3486ac99b7aee282153d65b23e)
+++ protocols/skype/t/groupchat-msg-skyped.mock	(revision 2b0c05c056eae4c9aa19584f8cbbac1be7337207)
@@ -36,12 +36,6 @@
 >> GET CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC
 << CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC 
->> GET CHAT #cecil/$bob;4d8cc9965791c6b9 ADDER
-<< CHAT #cecil/$bob;4d8cc9965791c6b9 ADDER bob
->> GET CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC
-<< CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC 
->> GET CHAT #cecil/$bob;4d8cc9965791c6b9 ADDER
-<< CHAT #cecil/$bob;4d8cc9965791c6b9 ADDER bob
->> GET CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC
-<< CHAT #cecil/$bob;4d8cc9965791c6b9 TOPIC 
+>> GET CHAT #cecil/$bob;4d8cc9965791c6b9 ACTIVEMEMBERS
+<< CHAT #cecil/$bob;4d8cc9965791c6b9 ACTIVEMEMBERS bob cecil alice
 >> GET CHATMESSAGE 188 FROM_HANDLE
 << CHATMESSAGE 188 FROM_HANDLE bob
Index: protocols/skype/t/groupchat-topic-bitlbee.mock
===================================================================
--- protocols/skype/t/groupchat-topic-bitlbee.mock	(revision fdc6d84a32e87c3486ac99b7aee282153d65b23e)
+++ protocols/skype/t/groupchat-topic-bitlbee.mock	(revision 2b0c05c056eae4c9aa19584f8cbbac1be7337207)
@@ -6,5 +6,5 @@
 << PRIVMSG &bitlbee :account skype on
 >> JOIN :##cecil/$bob;4d8cc996579
->> 353 alice = ##cecil/$bob;4d8cc996579 :@alice bob cecil @root
+>> 353 alice = ##cecil/$bob;4d8cc996579 :@alice @root
 << TOPIC ##cecil/$bob;4d8cc996579 :topic
 >> TOPIC ##cecil/$bob;4d8cc996579 :topic
